Сайт | Скачать | Видео | Wiki

Автор Тема: Обновление pra-roll-1801-gtk2.iso 10.2018  (Прочитано 1997 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 827
  • Репутация: +39/-0
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #15 : 15 Октябрь 2018, 16:15:53 »
А в gtk2 -то зачем?
Ну и, больше вероятность, что пользователь самостоятельно найдет ответ на свой вопрос в инете, и этот рецепт заработает на его системе.
Сколько человек на форуме активно решают проблемы  пользователей?! Наверно их тьма, в очередь стоят? Надо смотреть на перспективу, в идеале , чтобы  юзер сам ответил на свой вопрос (проблему). :)

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #16 : 15 Октябрь 2018, 16:30:14 »
в идеале , чтобы  юзер сам ответил на свой вопрос (проблему).
У меня нет иллюзий по этой теме
Что не делай - кол-во тупых вопросов от лентяев, которым лень разбираться - не изменится

Именно на стыке minirc-systemd мало возникало проблем
В дистре , где главная задача - маленький и быстрый (а roll-gtk2 по замыслу и должен быть таким)  systemd наоборот может прибавить проблем
Ну и заменить 075*.pfs можно в случае проблем

Т.е. gtk3 - ближе к первоисточнику
gtk2 - оптимизированный самопал
gtk2 уже не близок к первоисточнику, т.к. в арче gtk2 выпиливают. Нет тут перспектив. Особенно ели палемун на gtk3 перейдет
« Последнее редактирование: 15 Октябрь 2018, 16:35:45 от sfs »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 827
  • Репутация: +39/-0
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #17 : 15 Октябрь 2018, 16:37:29 »
Именно на стыке minirc-systemd мало возникало проблем
Для меня, как ни странно, systemd действительно проще. Поэтому и написал свой пост.
А roll чаще ставят на мощное железо. Где нет проблем ни с количеством памяти, ни с процессором.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #18 : 15 Октябрь 2018, 16:41:05 »
roll чаще ставят на мощное железо
Откуда такая инфа?
Если ресурсы экономить не надо - почему бы не юзать gtk3 , где и так systemd

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 827
  • Репутация: +39/-0
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #19 : 15 Октябрь 2018, 16:48:09 »
Откуда такая инфа?
Это всего лишь мое имхо.
На свой pentium4 на 478 сокете я бы его не стал ставить (стоит retro).

А так, я сторонник новшеств.  :) Т.е. из двух gtk всегда выберу новое.
Когда допилят wayland - перейду на него.  :)

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #20 : 15 Октябрь 2018, 17:23:09 »
А так, я сторонник новшеств.
А я протестирую новое и выберу лучшее
Накликаете беды  :D Ща Дядя Шурик подтянется  ;D
Тогда Вам лучше gtk3.iso
Но есть же и "староверы". Вот им и надеюсь угодить с 1801gtk2. Кстати и сам буду юзать из-за palemoon
1801gtk2 планирую на перспективу , как приемника pra03

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 718
  • Репутация: +11/-0
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #21 : 15 Октябрь 2018, 18:44:33 »
А так, я сторонник новшеств.
я сторонник стабильности, к новшествам отношусь с осторожностью
сначала стабильность-надежность
потом удобство,
потом размер
красивости на последнем месте
..
пс про скорость забыл )
поставлю ее на второе место, после стабильности-надежности )
« Последнее редактирование: 15 Октябрь 2018, 18:56:00 от k0l0p0k »
1.нетбук  Samsung N145 (оси: ubuntu+OLS, PRA)
2.стационары(пеньки,2-8Gb,Radeon RX460, ubuntu+openBox+LXPanel, PRA)

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #22 : 15 Октябрь 2018, 18:47:10 »
я сторонник стабильности
minirc или systemd?  ;)

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 718
  • Репутация: +11/-0
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #23 : 15 Октябрь 2018, 18:54:02 »
minirc или systemd?
в PRA1801 версия с minirc нравится больше, с systemd мелкие косячки какие-то были(несущественные), сейчас уже не помню.
Под бубунтой systemd практически не мешает )
1.нетбук  Samsung N145 (оси: ubuntu+OLS, PRA)
2.стационары(пеньки,2-8Gb,Radeon RX460, ubuntu+openBox+LXPanel, PRA)

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #24 : 26 Октябрь 2018, 09:42:00 »
Не добавить ли в 001 035... ?
Где в зависимостях прописана зависимость от gtk2 - обойти в скрипте подключения

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #25 : 27 Октябрь 2018, 14:01:39 »
001-prar-c-180101-sf11.pfs
Обновленo оформление - теперь как в 1806
В 001 объединены 035-gtk2 и 075-minirc
Обновлен glibc, удален icu

Обновленный DEVX позже

icu и nss :
icu-60.2-180101-sf01.pfs
nss-3.34.1-180101-sf01.pfs

075-systemd-236.0-2-180101-sf05.pfs - опционально
089-prar-upd-180101-sf36.pfs - обязательно

Прошу проверить

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #26 : 27 Октябрь 2018, 15:47:12 »
polkit-0.113-180101-sf01.pfs
Удалил polkit nss
001-prar-c-180101-sf12.pfs

Modemmanager-1.6.12-1-180101-sf03.pfs
Где в зависимостях прописана зависимость от gtk2 - обойти в скрипте подключения
Пока не сделал - просто пропускайте
« Последнее редактирование: 27 Октябрь 2018, 16:07:20 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #27 : 29 Октябрь 2018, 14:05:10 »
networkmanager-gtk2-0.9.8-180101-sf02.pfs только переименовал
030-gtk3-3.22.26-1-180101-sf09.pfs переместил dev в DEVX
030-qt5-base-5.10.0-1-180101-sf03.pfs переместил dev в DEVX
089-prar-upd-180101-sf37.pfs пофиксил требование 035
pidgin-light-2.12.0-2-180101-sf02.pfs прописал зависимость nss
Для исо все готово.
Добавить lxqt ?

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso
« Ответ #28 : 29 Октябрь 2018, 16:54:19 »
    Добавить lxqt
не откажусь(юзаю по старой привычке :) )
ок

030-qt5-base-5.10.0-1-180101-sf04.pfs добавил зависимость icu
089-prar-upd-180101-sf38.pfs добавил либу от polkit. Нужна была xfce MM и NM - вроде так работает. NM проверял только на провод. Прошу проверить остальные варианты. Не работает - лобавляйье полный polkit
atril-gtk2-1.16.1-180101-sf02.pfs добавил зависимость nss
networkmanager-gtk2-0.9.8-180101-sf03.pfs добавил зависимость nss

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Re: Обновление pra-roll-1801-gtk2.iso 10.2018
« Ответ #29 : 29 Октябрь 2018, 17:12:01 »
pra-roll-180101-gtk2-04.iso
Названия некоторых модулей изменены.
В 001 изменен состав. В него включены 035 и minirc. Выделены в отдельные модули polkit icu nss.
DEVX-prar-180101-sf04.pfs
Подробнее выше
Рекомендую ставить в отдельную папку или проверить список модулей (иначе дистр не будет автообновляться)

Добавил BootIce

Пакеты из исо в репу пока не заливаю. Жду тестов исо...

Планирую поддерживать этот дистр как минимум пока palemoon не перейдет на gtk3
Да и потом. 1801 будет на смену PRA03. Максимально его ужал
Сложное , не портированное лучше делать под PRAR1801. Он будет с длительной поддержкой
« Последнее редактирование: 29 Октябрь 2018, 17:21:27 от sfs »